/*
 * Mattermost API Reference
 *
 * There is also a work-in-progress [Postman API reference](https://documenter.getpostman.com/view/4508214/RW8FERUn).
 *
 * The version of the OpenAPI document: 4.0.0
 * Contact: feedback@mattermost.com
 * Generated by: https://openapi-generator.tech
 */

#[derive(Clone, Debug, PartialEq, Default, serde::Serialize, serde::Deserialize)]
pub struct VerifyUserEmailRequest {
    /// The token given to validate the email
    #[serde(rename = "token")]
    pub token: String,
}

impl VerifyUserEmailRequest {
    pub fn new(token: String) -> VerifyUserEmailRequest {
        VerifyUserEmailRequest { token }
    }
}
